




/****** ADJUSTMENT TO SPARK THEME ******/

/*** FOLLOWING IS REQUIRED FOR BOOTSTRAP TOURIST TO WORK PROPERLY ***/

.wrapper:before {
	z-index: -1; /* ADJUSTMENT TO MODERN.CSS */
}

.sidebar {
    z-index: auto; /* ADJUSTMENT TO MODERN.CSS */
}


/****** GENERAL ******/


.green {
	color: #22b14c;
}

.red {
	color: #ed1c24;
}

.collapsedCustom { /* ??? */
	visibility: collapse; 
}

.pretendLinkWithoutUnderline {
	text-decoration: none;
	cursor: pointer;
}

.pretendLink {
	cursor: pointer;
}

.pretendLink:hover {
	text-decoration: underline;
}

.pretendLinkWithoutUnderline:hover {
	color: #f7ab25;
}

.overlay {
	position: absolute;
    /*background-color: red;*/
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    opacity: 0.75;
}

.ballActive { /* ??? */
    background-color: #28a745;
    color: #fff;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    text-align: center;
    font-size: 10px;
}

.ballInactive { /* ??? */
    background-color: #dc3545;
    color: #fff;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    text-align: center;
    font-size: 10px;
}

.clickableCard { /* ??? */
	cursor: pointer;
	max-width: 200px;
}

.clickableCard:hover { /* ??? */
	    box-shadow: -2px 0 #ffa050, 0 2px #ffa050, 2px 0 #ffa050, 0 -2px #ffa050;
}


/*.custom-control-input:checked~.custom-control-label:before*/ 
#dashboardFilterSettings .custom-control-input:disabled~.custom-control-label:before, .custom-control-input[disabled]~.custom-control-label:before {
	/*
	background-color: #ffffff;
	*/
	/*
	border-color: #debdbe;
	*/
	border-color: #ededed;
}


.blurry-text {
   color: transparent;
   text-shadow: 0 0 5px rgba(0,0,0,0.5);
}


.checkbox-without-label.custom-control-label:before, .checkbox-without-label.custom-control-label:after {
	left: 0rem !important;
}



/***** NAV *****/

.avatarImg {
	/*display: block !important;*/
	max-width:100% !important;
	max-height:64px !important;
	width: auto !important;
	height: auto !important;
}

.sidebar-link-disabled {
	color: #bbbbbb !important;
	cursor: default !important;
}

.sidebar-link-disabled2 {
	color: #6c757d !important;
	cursor: default !important;
}

.sidebar-link-disabled2:hover {
	color: #6c757d !important;
	cursor: default !important;
}



/***** ELEMENT OU SELECTOR *****/

@media (min-width: 1200px) {
	.border-right-secondary {
		border-right-color: #f7ab25;
		border-right-width: 1px;
		border-right-style: solid;
	}
}

@media (max-width: 1200px) {
	.border-right-secondary > div:last-of-type {
		border-bottom-color: #f7ab25;
		border-bottom-width: 1px;
		border-bottom-style: solid;
	}
} 



/**** MEASURES MODAL ****/

#modalMeasuresNew .border-bottom-grey {
	border-bottom-color: #dee2e6;/*#f7ab25;*/
	border-bottom-width: 1px;
	border-bottom-style: solid;
}

@media (min-width: 1200px) {
	#modalMeasuresNew .border-right-grey {
		border-right-color: #dee2e6;
		border-right-width: 1px;
		border-right-style: solid;
	}
}

@media (max-width: 1200px) {
	#modalMeasuresNew .border-right-grey {
		border-bottom-color: #dee2e6;
		border-bottom-width: 1px;
		border-bottom-style: solid;
	}
}



/****** 3 WAY SWITCH THIN VERSION WITH LABEL ******/

.switchThin {
	margin: 1 0 6 0;
    display: flex;
    /*margin-bottom: 36px;*/
    overflow: hidden;
}

.switchThin input {
    position: absolute !important;
    clip: rect(0, 0, 0, 0);
    height: 1px;
    width: 1px;
    border: 0;
    overflow: hidden;
}

.switchThin label {
	/*border: 1px solid #ced4da; /*rgba(0, 0, 0, 0.2);*/
    /*font-size: 0.9375rem;/*0.8em, 14px;*/
	/*height: calc(1.90625rem + 2px);*/
	/*padding: .25rem .7rem;*/
	padding: .15rem .7rem;/*0 1em, 8px, 16px;*/
	margin-top: .7rem;
	font-size: 0.7rem;
	font-weight: 400;
	line-height: 1.5; /*1.8em, 1;*/ 
	color: #495057; /*color: rgba(0, 0, 0, 0.6);*/
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out; /*transition: all 0.3s ease-in-out;*/
	
    background-color: #e9ecef; /*#ededed, #e4e4e4;*/
    text-align: center;
	min-width: 25px;
    margin-right: -1px;
    
    /*box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.3), 0 1px rgba(255, 255, 255, 0.1);*/
    
}


.switchThin label.darker {
    background-color: #c3c3c3;
}


.switchThin label:last-of-type {
    margin-right: 0px;
}

.switchThin label:hover:not(.disabled) {	
    cursor: pointer;
}

.switchThin input:checked + label.one, 
.switchThin input:checked + label.two, 
.switchThin input:checked + label.three {
    box-shadow: none;
}

.switchThin input:not(:checked) + label:hover:not(.disabled), 
.switchThin input:not(:checked) + label:hover:not(.disabled), 
.switchThin input:not(:checked) + label:hover:not(.disabled) {
    background-color: #d3d9df;
}

.switchThin input:not(:checked) + label.darker:hover:not(.disabled), 
.switchThin input:not(:checked) + label.darker:hover:not(.disabled), 
.switchThin input:not(:checked) + label.darker:hover:not(.disabled) {
    background-color: #aaaaaa;
}

.switchThin input:checked + label.bg_green {
    background-color: #a5dc86;
}

.switchThin input:checked + label.bg_grey {
    background-color: #cdcdcd;
}

.switchThin input:checked + label.bg_red {
    background-color: #dc8686;
	color: #FFFFFF;
}

.switchThin input:checked + label.bg_blue {
    background-color: #bae6e6;
}

.switchThin input:checked + label.bg_teal {
    background-color: #008080;
	color: #FFFFFF;
}

.switchThin input:checked + label.bg_darkblue {
    background-color: #034c70;
	color: #FFFFFF;
}

.switchThin label:first-of-type {
    /*border-radius: 3px 0 0 3px;*/
	border-radius: 0.2rem 0 0 0.2rem;
}

.switchThin label:last-of-type {
    /*border-radius: 0 3px 3px 0;*/ 
	border-radius: 0 0.2rem 0.2rem 0;
}




/****** TOOLTIP ******/

.tooltip .tooltip-inner {
    background: #034c70;
	
	max-width: 400px;
	
	border-radius: .2rem;
	box-shadow: 0 2px 4px rgba(126,142,177,.12); /*0 0 0px black;*/
	
	/*color: */
}

.tooltip .arrow::before{
	border-top-color:#034c70 !important;
}




/****** CHART.JS TOOLTIP ******/
#chartjs-tooltip {
	background-color: #034c70;
	color: #ffffff;
	border-radius: 0.2rem;
}


/****** SPARKLINES TOOLTIP ******/
.jqstooltip { 

	background-color: #034c70 !important;
	color: #ffffff !important;
	border-radius: 0.2rem;
	border: 0px !important;

	/* A fix to counter Bootstrap CSS, which somehow destroy the Sparkline CSS */
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	box-sizing: content-box; 
}


/***** FORM INPUT WITH LABEL ON TOP BORDER ******/

.form-group{
  margin-top:7px;
  position:relative;
  /*
  border:2px solid;
  margin:10px;
  */
}

.form-group>label, .aaabbbccc>label { 
  position:absolute;
  top:-7px;
  left:17px;
  /*background-color:white; */
  font-size: 0.7rem;
  
  z-index: 1; /* making sure the label is above the input border */
}

.form-group>label:not(.noBackgroundColor):not(.fourthLayoutNoBackgroundColor) { 
	background-color:white; 
  }

.form-group>label.secondLayout{
  left:25px;
}

.form-group>label.thirdLayout{
  left:13px;
}

.form-group>label.noBackgroundColor{
	left:13px;
	top:-16px; /* shows label above input field */
}

.form-group>label.fourthLayout{
  left:0px;
}

.form-group>label.fourthLayoutNoBackgroundColor{
	left:0px;
  }

.form-group>label.fifthLayout{
	position: static;
	/*left: none;*/
	
}

/*
.position-static{
  position:static;
}
*/
.form-group.small>label{
  position:absolute;
  top:-7px;
  left:9px;
  background-color:white; 
  font-size: 0.7rem;
  
  z-index: 1; /* making sure the label is above the input border */
}

.form-group>input{
  /*border:none;*/
}



/******* DRAG AND DROP FILE UPLOAD ******/
 
.main-section{
	margin:0 auto;
}

.fileinput-remove, .fileinput-upload { /*// ???*/
	display: none;
}

.krajee-default.file-preview-frame { /* required adjustments to make preview image look nicer */

}

.krajee-default.file-preview-frame:not(.file-preview-error):hover { /* Get rid of ugly hover shadow effect */
    box-shadow: none;
}



.upload-image .krajee-default.file-preview-frame { /* required adjustments to make preview image look nicer */
	margin: 0;
    box-shadow: none;
    padding: 0;
	border: 0;
	float: none; /* making sure to center the image */
}

.upload-image .krajee-default.file-preview-frame .kv-file-content { /* required adjustments to make preview image look nicer */
	width: 100%;
	height: 100%;
}

.upload-image .file-thumbnail-footer { /* required adjustments to get rid of the unnecessary infomration in the footer */
	display: none;
}



.upload-files .krajee-default.file-preview-frame .file-upload-indicator {
	display: none;
}

.upload-files .krajee-default.file-preview-frame .kv-file-content { /* required adjustments to make preview image look nicer */
	width: 150px;
	/*height: 10px;*/
}

.upload-files .krajee-default .file-caption-info, .krajee-default .file-size-info {
	width: auto;
	/*height: 10px;*/
}

.upload-files .krajee-default.file-preview-frame .kv-file-upload, .upload-files .krajee-default.file-preview-frame .kv-file-zoom {
	display: none;
}




/****** RESULT CONTROLS ******/  /*???????????? */

.row.dataTableControls ul {
	margin: 0 0 0 0; 
	white-space: nowrap; 
	justify-content: flex-end;
}

@media (max-width: 768px) {
	.row.dataTableControls .centerOnSmall {
		text-align: center;
	}

	.row.dataTableControls .centerOnSmall ul {
		justify-content: center;
	}	
}


.fa-stack > .fa-stack-2x {
	color: transparent;
}

.fa-stack.active > .fa-stack-2x {
	color: #e9ecef;
}

.fa-stack:hover > .fa-stack-2x {
	color: #e9ecef;
}






/****** DATATABLES ******/

.dataTables_wrapper .dataTables_processing { 
	/*background-color:#FFFFFF; /* Background color of processing notification */
	top: 5% !important;
}


.dataTables_wrapper .tableLoading td, .dataTables_wrapper .tableLoading th { /* Temporary CSS of table cells (td and th) when table is loading new data */
	color: #BBBBBB;
	background-color: #F5F5F5;
}

.dataTable tr.dtrg-start .toggleCollapsingChilds {
	/*cursor: row-resize; */
	cursor: row-resize;
}


/* Unset all css settings from external lib */
table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>td.dtr-control, table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>th.dtr-control {
	
	position: unset !important; 
	/*padding-left: unset !important;
	/*cursor: help !important;*/
}

table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>td.dtr-control:before, table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>th.dtr-control:before {
    top: unset !important;
    left: unset !important;
    height: unset !important;
    width: unset !important;
    margin-top: unset !important;
    display: unset !important;
    position: unset !important;
    color: unset !important;
    border: unset !important;
    border-radius: unset !important;
    box-shadow: unset !important;
    box-sizing: unset !important;
    text-align: unset !important;
    text-indent: unset !important;
    font-family: unset !important;
    line-height: unset !important;
    content: unset !important;
    background-color: unset !important;
}

table.dataTable.dtr-inline.collapsed>tbody>tr.parent>td.dtr-control:before, table.dataTable.dtr-inline.collapsed>tbody>tr.parent>th.dtr-control:before {
    content: unset !important;
    background-color: unset !important;
}



/* Set new CSS settings for new inline DIV container */

table.dataTable.dtr-inline>tbody>tr>td.dtr-control div.wrapperForBorderColor {
	padding-left: 5px;	
	float: left; 
	
	padding-top: 0.2rem;
	padding-bottom: 0.2rem;
}

table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>td.dtr-control div.responsiveControl, table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>th.dtr-control div.responsiveControl {
	cursor: pointer;
}

table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>td.dtr-control div.responsiveControl:before, table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>th.dtr-control div.responsiveControl:before {
    
	box-shadow: none;
    
	content: url(../img/Collapse_Circle_Buttons_blue.png);
	height: 21px;
	box-sizing: content-box;
    display: block;

	cursor: pointer;

}

table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>td.dtr-control div.responsiveControl:hover:before, table.dataTable.dtr-inline.collapsed>tbody>tr[role="row"]>th.dtr-control div.responsiveControl:hover:before {
	content: url(../img/Collapse_Circle_Buttons_blue_dark.png);
}

table.dataTable.dtr-inline.collapsed>tbody>tr.parent>td.dtr-control div.responsiveControl:before, table.dataTable.dtr-inline.collapsed>tbody>tr.parent>th.dtr-control div.responsiveControl:before {
	content: url(../img/Collapse_Circle_Buttons_white_blue.png);
}

table.dataTable.dtr-inline.collapsed>tbody>tr.parent>td.dtr-control div.responsiveControl:hover:before, table.dataTable.dtr-inline.collapsed>tbody>tr.parent>th.dtr-control div.responsiveControl:hover:before {
	content: url(../img/Collapse_Circle_Buttons_white_blue_dark.png); 
}

table.dataTable tr.match td:first-child {
	border-left: 2px solid #ffa050;
}

table.dataTable tr.buy td:first-child div.wrapperForBorderColor {
	border-left: 2px solid #005252 !important; /* 008080 */
}

table.dataTable tr.rent td:first-child div.wrapperForBorderColor {
	border-left: 2px solid #00b3b3 !important;  /* 00b3b3 */
}


/* To also grey out child row of responsive parent row */
tr.text-gray + tr.child {
	color: #adb5bd!important;
}





/***** Tree structure *****/ 
.tableStructure thead th, .tableStructure tbody td  {
	/*border-top: 2px solid white;*/
	border-top-width: 2px;
	/*border-top-style: solid;
	border-top-color: white;*/
	border-bottom-width: 0px; 
}

.tableStructure:not(.noWhiteBorder) thead th, .tableStructure:not(.noWhiteBorder) tbody td  {
	border-top-style: solid;
	border-top-color: white;
}

.tableStructure tbody tr td:first-of-type  {
	border-top-left-radius: .3rem;
	border-bottom-left-radius: .3rem;
}

.tableStructure tbody tr td:last-of-type  {
	border-top-right-radius: .3rem;
	border-bottom-right-radius: .3rem;
}

/*.tableStructure .clickPointer {
	cursor: pointer;
}*/

.tableStructure span.fa {
	transition: all 400ms;
}



.tableStructure tr.level1, .tableStructure tr.level2, .tableStructure tr.level3, .tableStructure tr.level4 {
	cursor: pointer;
}

/*.tableStructure tr.level1,*/ /*.tableStructure tr.level1 td:first-of-type, .tableStructure tr.level1 td:last-of-type*/ 
.tableStructure tr.level1 td {
	background-color: #cccccc;
}
.tableStructure tr.level1 td:first-of-type {
	padding-left: 10px;
}

.tableStructure tr.level2 td {
	background-color: #dddddd;
}
.tableStructure tr.level2 td:first-of-type {
	padding-left: 20px;
}

.tableStructure tr.level3 td {
	background-color: #eeeeee;
}
.tableStructure tr.level3 td:first-of-type {
	padding-left: 30px;
}

.tableStructure tr.level4 td {
	background-color: #ffffff;
}
.tableStructure tr.level4 td:first-of-type {
	padding-left: 40px;
}


.tableStructure tr.active {
	border-left: 2px solid #f7ab25;
}

.tableStructure tr.inactive {
	border-left: 0px;
	/*background-color: #ffffff; */
}

.tableStructure tr.leaf {
	cursor: default !important;
}


.tableStructure tr.row_grey td {
	background-color: #eeeeee;
}

.tableStructure tr.row_lightgrey td {
	background-color: #f8f8f8;
}

.tableStructure tr.row_orange td {
	background-color: #f7ab25;
}




/***** Tree structure for filters *****/ 
.tableStructureFilters thead th, .tableStructureFilters tbody td  {
	border-top: 1px solid #eeeeee; /* 1px solid #dee2e6 */
	border-bottom-width: 0px;
	padding: 0rem;
}

/*
.tableStructureFilters tbody tr td:first-of-type  {
	border-top-left-radius: .3rem;
	border-bottom-left-radius: .3rem;
}

.tableStructureFilters tbody tr td:last-of-type  {
	border-top-right-radius: .3rem;
	border-bottom-right-radius: .3rem;
}
*/
/*.tableStructureFilters .clickPointer {
	cursor: pointer;
}*/

.tableStructureFilters span.fa {
	transition: all 400ms;
}

.tableStructureFilters tr.level1 {
	/*background-color: #cccccc;*/
	/*border-left: 3px solid #cccccc;*/
	cursor: pointer;
}

.tableStructureFilters tr.level1 td:first-of-type {
	padding-left: 0px;
}

.tableStructureFilters tr.level2 {
	/*background-color: #dddddd;*/
	/*border-left: 3px solid #dddddd;*/
	cursor: pointer;
}

.tableStructureFilters tr.level2 td:first-of-type {
	padding-left: 10px;
}

.tableStructureFilters tr.level3 {
	/*background-color: #eeeeee;*/
	/*border-left: 3px solid #eeeeee;*/
	cursor: pointer;
}

.tableStructureFilters tr.level3 td:first-of-type {
	padding-left: 20px;
}

.tableStructureFilters tr.level4 {
	/*background-color: #ffffff;*/
	/*border-left: 3px solid #ffffff;*/
	cursor: pointer;
}

.tableStructureFilters tr.level4 td:first-of-type {
	padding-left: 30px;
}

/*
.tableStructureFilters tr.active {
	border-left: 2px solid #f7ab25;
}

.tableStructureFilters tr.inactive {
	border-left: 0px;
}
*/

.tableStructureFilters tr.leaf {
	cursor: default !important;
}

.tableStructureFilters tr:hover td {
	background-color: #eeeeee;
}




/**** Multilevel select lists *****/
.multiLevelSelectionEntry {
	margin-right: 2px;
	border-bottom: 1px #adb5bd dotted; 
}

.multiLevelSelectionEntry.text-secondary:hover {
	filter: brightness(90%);
}



/***** File input *****/
.file-caption-icon {
	line-height: 1.5;
}

.file-caption.icon-visible .file-caption-name {
	padding-left: 18px;
}

.file-input-label > label { 
  position:absolute;
  top:-9px;
  /*left:17px;*/
  background-color:white; 
  font-size: 0.7rem;
  
  z-index: 1; /* making sure the label is above the input border */
}



/****** TABS ******/ /* Used for Admin Accounts/Users */
.tab-light .nav-tabs .nav-link.active {
	color: #343a40;
}

.tab-light .tab-content {
	color: #012434;
}

.tab-light .h1, .tab-light .h2, .tab-light .h3, .tab-light .h4, .tab-light .h5, .tab-light .h6, .tab-light h1, .tab-light h2, .tab-light h3, .tab-light h4, .tab-light h5, .tab-light h6 {
    color: #203a45;
}



/****** DASHBOARD ******/
.dashboardInnerTile {
	padding-left: 5px;
	padding-right: 5px;
	padding-top: 4px;
	padding-bottom: 4px;
	
	margin-bottom: 1.5rem;
	
	/*background-color: #fef5e6;*/
	/*border: 1px solid #f7ab25;*/
	border-radius: .3rem;
}

.dashboardInnerTile .title {
	font-size: 0.7rem;
	font-weight: 500;
	border-bottom: 1px solid #f7ab25;
}

.dashboardInnerTile .bodyKpi {
	font-size: 3rem;
	line-height: 2;
	font-weight: 400;
	text-align: center;
}

.dashboardInnerTile .bodyPlot {
	
}



/****** SMALL LIST ******/

ul.smallList {
  line-height: 1.5em;
  margin: 5px 0 15px;
  padding: 0;
}

ul.smallList li {
  list-style: none;
  position: relative;
  padding: 0 0 0 20px;
}

ul.smallList li.arrow::before {  
  content: "";
  position: absolute;
  left: 0;
  top: 35%;
  height: 5px;
  width: 5px;
  border: 1px solid #f7ab25;
  border-width: 2px 2px 0 0;
  transform: rotate(45deg);
}

